Subject: Re: bug#77299: eww-auto-rename-buffer 'title interaction with eww-readable-urls

From: Jim Porter <[email-masked]>
Date: Thu, 19 Jun 2025 20:05:16 -0700

On 6/19/2025 5:34 PM, Keith Amidon wrote:
> However, I do want to briefly discuss the decision to make the emacs 30 
> workaround conditional on eww-auto-rename-buffer having the value 
> 'title. This does minimize the situations in which the additional 
> rendering is done, which is desirable. However, I think it will push 
> people who might not have that setting to make it to enable other 
> functionality that doesn't work properly when the title of the web page 
> is unknown.
Hmm, good point. One possibility would be to add a new user option just 
for Emacs 30 to enable/disable this workaround. Or maybe we should just 
accept that we need to render the page twice for now. That's less 
efficient, but more correct.

I don't have a strong feeling on the matter though, so if anyone else 
does, I'll happily go along with what others suggest.